Search for %s

  1. Search 7.x for %s
  2. Search 9.5.x for %s
  3. Search 10.3.x for %s
  4. Search 11.x for %s
  5. Search main for %s
  6. Other projects
Title Object type File name Summary
RestPermissions.php file core/modules/rest/src/RestPermissions.php
RestPermissions::$resourceConfigStorage property core/modules/rest/src/RestPermissions.php The REST resource config storage.
RestPermissions::$restPluginManager property core/modules/rest/src/RestPermissions.php The rest resource plugin manager.
RestPermissions::create function core/modules/rest/src/RestPermissions.php Instantiates a new instance of this class.
RestPermissions::permissions function core/modules/rest/src/RestPermissions.php Returns an array of REST permissions.
RestPermissions::__construct function core/modules/rest/src/RestPermissions.php Constructs a new RestPermissions instance.
RestRegisterUserTest class core/modules/user/tests/src/Functional/RestRegisterUserTest.php Tests user registration via REST resource.
RestRegisterUserTest.php file core/modules/user/tests/src/Functional/RestRegisterUserTest.php
RestRegisterUserTest::$auth property core/modules/user/tests/src/Functional/RestRegisterUserTest.php The authentication mechanism to use in this test.
RestRegisterUserTest::$defaultTheme property core/modules/user/tests/src/Functional/RestRegisterUserTest.php The theme to install as the default for testing.
RestRegisterUserTest::$format property core/modules/user/tests/src/Functional/RestRegisterUserTest.php The format to use in this test.
RestRegisterUserTest::$mimeType property core/modules/user/tests/src/Functional/RestRegisterUserTest.php The MIME type that corresponds to $format.
RestRegisterUserTest::$modules property core/modules/user/tests/src/Functional/RestRegisterUserTest.php Modules to install.
RestRegisterUserTest::$resourceConfigId property core/modules/user/tests/src/Functional/RestRegisterUserTest.php The REST Resource Config entity ID under test (i.e. a resource type).
RestRegisterUserTest::assertNormalizationEdgeCases function core/modules/user/tests/src/Functional/RestRegisterUserTest.php Asserts normalization-specific edge cases.
RestRegisterUserTest::createRequestBody function core/modules/user/tests/src/Functional/RestRegisterUserTest.php Create the request body.
RestRegisterUserTest::createRequestOptions function core/modules/user/tests/src/Functional/RestRegisterUserTest.php Helper function to generate the request body.
RestRegisterUserTest::getExpectedBcUnauthorizedAccessMessage function core/modules/user/tests/src/Functional/RestRegisterUserTest.php
RestRegisterUserTest::getExpectedUnauthorizedAccessCacheability function core/modules/user/tests/src/Functional/RestRegisterUserTest.php Returns the expected cacheability of an unauthorized access response.
RestRegisterUserTest::getExpectedUnauthorizedAccessMessage function core/modules/user/tests/src/Functional/RestRegisterUserTest.php Return the expected error message.
RestRegisterUserTest::registerRequest function core/modules/user/tests/src/Functional/RestRegisterUserTest.php Make a REST user registration request.
RestRegisterUserTest::registerUser function core/modules/user/tests/src/Functional/RestRegisterUserTest.php Registers a user via REST resource.
RestRegisterUserTest::setUp function core/modules/user/tests/src/Functional/RestRegisterUserTest.php
RestRegisterUserTest::setUpAuthorization function core/modules/user/tests/src/Functional/RestRegisterUserTest.php Sets up the necessary authorization.
RestRegisterUserTest::testRegisterUser function core/modules/user/tests/src/Functional/RestRegisterUserTest.php Tests that only anonymous users can register users.
RestRegisterUserTest::TEST_EMAIL_DOMAIN constant core/modules/user/tests/src/Functional/RestRegisterUserTest.php
RestRegisterUserTest::USER_EMAIL_DOMAIN constant core/modules/user/tests/src/Functional/RestRegisterUserTest.php
RestResource class core/modules/rest/src/Annotation/RestResource.php Defines a REST resource annotation object.
RestResource.php file core/modules/rest/src/Annotation/RestResource.php
RestResource::$id property core/modules/rest/src/Annotation/RestResource.php The REST resource plugin ID.
RestResource::$label property core/modules/rest/src/Annotation/RestResource.php The human-readable name of the REST resource plugin.
RestResource::$serialization_class property core/modules/rest/src/Annotation/RestResource.php The serialization class to deserialize serialized data into.
RestResource::$uri_paths property core/modules/rest/src/Annotation/RestResource.php The URI paths that this REST resource plugin provides.
RestResourceConfig class core/modules/rest/src/Entity/RestResourceConfig.php Defines a RestResourceConfig configuration entity class.
RestResourceConfig.php file core/modules/rest/src/Entity/RestResourceConfig.php
RestResourceConfig::$configuration property core/modules/rest/src/Entity/RestResourceConfig.php The REST resource configuration.
RestResourceConfig::$granularity property core/modules/rest/src/Entity/RestResourceConfig.php The REST resource configuration granularity.
RestResourceConfig::$id property core/modules/rest/src/Entity/RestResourceConfig.php The REST resource config id.
RestResourceConfig::$pluginManager property core/modules/rest/src/Entity/RestResourceConfig.php The rest resource plugin manager.
RestResourceConfig::$plugin_id property core/modules/rest/src/Entity/RestResourceConfig.php The REST resource plugin id.
RestResourceConfig::calculateDependencies function core/modules/rest/src/Entity/RestResourceConfig.php Calculates dependencies and stores them in the dependency property.
RestResourceConfig::getAuthenticationProviders function core/modules/rest/src/Entity/RestResourceConfig.php Retrieves a list of supported authentication providers.
RestResourceConfig::getAuthenticationProvidersForMethodGranularity function core/modules/rest/src/Entity/RestResourceConfig.php Retrieves a list of supported authentication providers.
RestResourceConfig::getFormats function core/modules/rest/src/Entity/RestResourceConfig.php Retrieves a list of supported response formats.
RestResourceConfig::getFormatsForMethodGranularity function core/modules/rest/src/Entity/RestResourceConfig.php Retrieves a list of supported response formats.
RestResourceConfig::getLabelFromPlugin function core/modules/rest/src/Entity/RestResourceConfig.php The label callback for this configuration entity.
RestResourceConfig::getMethods function core/modules/rest/src/Entity/RestResourceConfig.php Retrieves a list of supported HTTP methods.
RestResourceConfig::getMethodsForMethodGranularity function core/modules/rest/src/Entity/RestResourceConfig.php Retrieves a list of supported HTTP methods for this resource.
RestResourceConfig::getPluginCollections function core/modules/rest/src/Entity/RestResourceConfig.php Gets the plugin collections used by this object.
RestResourceConfig::getResourcePlugin function core/modules/rest/src/Entity/RestResourceConfig.php Retrieves the REST resource plugin.

Buggy or inaccurate documentation? Please file an issue. Need support? Need help programming? Connect with the Drupal community.